#!/bin/sh

set -euo pipefail

if [ "${BOOKSTACK_INIT_DB}" = "true" ]; then
  if [ ! -e /data/version ]; then
    echo "Initilizing database"
    php /app/artisan migrate --force
    cat /app/version > /data/version
  elif [ "$(cat /app/version)" != "$(cat /data/version)" ]; then
    echo "Upgrade from $(cat /data/version) to $(cat /app/version)"
    php /app/artisan migrate --force
    echo "Clearing cache"
    php /app/artisan cache:clear
    echo "Clearing views"
    php /app/artisan view:clear
    echo "Regenerating search"
    php /app/artisan bookstack:regenerate-search
    cat /app/version > /data/version
  else
    echo "No version change, nothing to do"
  fi
fi
